
QGIS Application - Bug report #18268

Spatialite's views not supported in Layout Atlas

2018-02-28 12:43 PM - Simon Falceri

Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26159

Description

When I set in Atlas Layout a spatialite 4.3 view as coverage vector, not work very well.

History

#1 - 2018-02-28 12:45 PM - Giovanni Manghi

- Status changed from Open to Feedback

Could you expand a little "do not work very well"? thanks!

also attach a sample project and data if possible.

#2 - 2018-02-28 03:18 PM - Simon Falceri

- Status changed from Feedback to Open

In Atlas composer, when I set a coverage vector using a spatialite-table-view layer, label frame and HTML frame, don't show any fields.

When I set a shapefile or csv or similar it work.

#3 - 2018-02-28 03:18 PM - Giovanni Manghi

- Status changed from Open to Feedback

Does it work as expected on 2.18?

#4 - 2018-03-01 01:21 PM - Simon Falceri

I have tried with qgis 2.18.17 the same operation, but nothing to do.

#5 - 2018-03-01 02:39 PM - Giovanni Manghi

- Status changed from Feedback to Open
